---
{%- from "golang/map.jinja" import golang with context %}
golang-archive-extract:
  archive.extracted:
    - name: {{ golang.install_dir }}/go{{ golang.version }}
    - source: {{ golang.mirror }}/go{{ golang.version }}.{{ golang.os }}-{{ golang.arch }}.tar.gz
    - skip_verify: True
    - enforce_toplevel: False
    - options: --transform 's/^go\///g'
    - if_missing: {{ golang.install_dir }}/go{{ golang.version }}

golang-binary-symlink:
  file.symlink:
    - name: {{ golang.install_dir }}/go
    - target: {{ golang.install_dir }}/go{{ golang.version }}
    - force: True
    - require:
      - archive: golang-archive-extract