---
us_locale:
  locale.present:
    - name: en_US.UTF-8

default_locale:
  locale.system:
    - name: en_US.UTF-8
    - require:
      - locale: us_locale

misc-public-dir:
  file.directory:
    - name: /home/public
    - user: root
    - group: root
    - mode: 0755

{%- for file in salt['pillar.get']('misc_files') %}
{{ file.name }}:
  file.managed:
    - name: {{ file.dest }}
    - source: {{ file.src }} 
    - source_hash: sha256={{ file.checksum }} 
    - user: root
    - group: root
    - mode: 644
{%- endfor %}

misc-files-delete:
  file.absent:
    - names:
{%- for file in salt['pillar.get']('misc_files_delete') %}
      - {{ file }}
{%- endfor %}
