---
{%- if not salt['file.file_exists']( salt['pillar.get']('nextcloud_desktop:dest_path') ) or not salt['file.check_hash']( salt['pillar.get']('nextcloud_desktop:dest_path'), salt['pillar.get']('nextcloud_desktop:file_sha256sum') ) %}
nextcloud-install:
  file.managed:
    - name: {{ salt['pillar.get']('nextcloud_desktop:dest_path') }}
    - source: {{ salt['pillar.get']('nextcloud_desktop:url') }}/Nextcloud-{{ salt['pillar.get']('nextcloud_desktop:version') }}-x86_64.AppImage
    - source_hash: sha256={{ salt['pillar.get']('nextcloud_desktop:file_sha256sum') }}
    - user: root
    - group: root
    - mode: 755
{%- endif %}

nextcloud-icon:
  file.managed:
    - name: /usr/share/icons/nextcloud.png
    - source: salt://nextcloud_desktop/nextcloud.png
    - user: root
    - group: root
    - mode: 644

nextcloud-desktop-entry:
  file.managed:
    - name: /usr/share/applications/nextcloud.desktop
    - source: salt://nextcloud_desktop/nextcloud.desktop
    - user: root
    - group: root
    - mode: 644